diff --git a/cmake/Modules/Version.cmake b/cmake/Modules/Version.cmake
index 2d4e76d..713638e 100644
--- a/cmake/Modules/Version.cmake
+++ b/cmake/Modules/Version.cmake
@@ -38,9 +38,15 @@ if(GIT_FOUND)
         COMMAND ${GIT_EXECUTABLE} describe --always --abbrev=4 --long
         OUTPUT_VARIABLE GIT_DESCRIBE OUTPUT_STRIP_TRAILING_WHITESPACE
         WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+        RESULT_VARIABLE GIT_DESC_RESULT
     )
-else()
-    set(GIT_DESCRIBE "v${MAJOR_VERSION}.${MINOR_VERSION}.x-xxx-xunknown")
+endif()
+if(NOT GIT_DESCRIBE OR "x${GIT_DESCRIBE}" STREQUAL "x")
+    if(RTL_SDR_GIT_INFO)
+        set(GIT_DESCRIBE "v${MAJOR_VERSION}.${MINOR_VERSION}-${RTL_SDR_GIT_INFO}")
+    else()
+        set(GIT_DESCRIBE "v${MAJOR_VERSION}.${MINOR_VERSION}.x-xxx-xunknown")
+    endif()
 endif()
 
 ########################################################################
